Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.adapters
Class NullCA

    java.lang.Object
      org.picocontainer.adapters.NullCA

All Implemented Interfaces:
  org.picocontainer.ComponentAdapter

    public class NullCA

extends Object
implements org.picocontainer.ComponentAdapter

Nested Class Summary

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`org.picocontainer.ComponentAdapter.NOTHING`

Constructor Summary
`NullCA(Object key)`

Method Summary
`void` | `accept(org.picocontainer.PicoVisitor visitor)`
`org.picocontainer.ComponentAdapter` | `findAdapterOfType(Class componentAdapterType)`
`Class` | `getComponentImplementation()`
`Object` | `getComponentInstance(org.picocontainer.PicoContainer container)`
`Object` | `getComponentInstance(org.picocontainer.PicoContainer container, Type into)`
`Object` | `getComponentKey()`
`org.picocontainer.ComponentAdapter` | `getDelegate()`
`String` | `getDescriptor()`
`void` | `verify(org.picocontainer.PicoContainer container)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NullCA

    public NullCA(Object key)

Method Detail

### getComponentKey

    public Object getComponentKey()

  Specified by:
    `getComponentKey` in interface `org.picocontainer.ComponentAdapter`

### getComponentImplementation

    public Class getComponentImplementation()

  Specified by:
    `getComponentImplementation` in interface `org.picocontainer.ComponentAdapter`

### getComponentInstance

    public Object getComponentInstance(org.picocontainer.PicoContainer container)

  Specified by:
    `getComponentInstance` in interface `org.picocontainer.ComponentAdapter`

### getComponentInstance

    public Object getComponentInstance(org.picocontainer.PicoContainer container,
                                       Type into)

  Specified by:
    `getComponentInstance` in interface `org.picocontainer.ComponentAdapter`

### verify

    public void verify(org.picocontainer.PicoContainer container)

  Specified by:
    `verify` in interface `org.picocontainer.ComponentAdapter`

### accept

    public void accept(org.picocontainer.PicoVisitor visitor)

  Specified by:
    `accept` in interface `org.picocontainer.ComponentAdapter`

### getDelegate

    public org.picocontainer.ComponentAdapter getDelegate()

  Specified by:
    `getDelegate` in interface `org.picocontainer.ComponentAdapter`

### findAdapterOfType

    public org.picocontainer.ComponentAdapter findAdapterOfType(Class componentAdapterType)

  Specified by:
    `findAdapterOfType` in interface `org.picocontainer.ComponentAdapter`

### getDescriptor

    public String getDescriptor()

  Specified by:
    `getDescriptor` in interface `org.picocontainer.ComponentAdapter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.